import { CheckoutLineItemInput, AttributeInput, MailingAddressInput, CheckoutResponse } from '../../types';
export declare type CheckoutCreate = (input: CheckoutCreateInput) => CheckoutCreateResponse;
export interface CheckoutCreateInput {
    email?: string;
    lineItems?: CheckoutLineItemInput[];
    shippingAddress?: MailingAddressInput;
    note?: string;
    customAttributes?: AttributeInput[];
    allowPartialAddresses?: boolean;
}
export declare type CheckoutCreateResponse = CheckoutResponse<'checkoutCreate'>;
export declare const CHECKOUT_CREATE: import("graphql").DocumentNode;
